Bug 122887 - [panic] [atkbdc] 7.0-RELEASE on IBM HS20 panics immediately when switching VGA port at BladeCenter
Summary: [panic] [atkbdc] 7.0-RELEASE on IBM HS20 panics immediately when switching V...
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: i386 (show other bugs)
Version: 7.0-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-acpi mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-18 13:50 UTC by Helmut Schneider
Modified: 2018-05-28 19:45 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Helmut Schneider 2008-04-18 13:50:01 UTC
A IBM BladeCenter is capable of running multimle blades. Each Blade has a button to relocate console and cdrom.

With 7.0-RELEASE switching console from one blade to another FreeBSD panics immediately. Screenshot is available here:

http://www.charlieroot.de/images/70_HS20_panic.jpg

[root@proxy ~]# dmesg -a
Copyright (c) 1992-2008 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 7.0-RELEASE-p1 #0: Thu Apr 17 10:47:57 CEST 2008
    root@BSDHelmut:/usr/obj/usr/src/sys/GENERIC-WITH-QUOTA
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Xeon(TM) CPU 3.20GHz (3200.13-MHz 686-class CPU)
  Origin = "GenuineIntel"  Id = 0xf4a  Stepping = 10
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0x641d<SSE3,RSVD2,MON,DS_CPL,CNXT-ID,CX16,xTPR>
  AMD Features=0x20000000<LM>
  AMD Features2=0x1<LAHF>
  Logical CPUs per core: 2
real memory  = 2147155968 (2047 MB)
avail memory = 2091606016 (1994 MB)
ACPI APIC Table: <IBM    SERBLADE>
FreeBSD/SMP: Multiprocessor System Detected: 4 CPUs
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
 cpu2 (AP): APIC ID:  6
 cpu3 (AP): APIC ID:  7
ioapic3 <Version 2.0> irqs 72-95 on motherboard
ioapic2 <Version 2.0> irqs 48-71 on motherboard
ioapic1 <Version 2.0> irqs 24-47 on motherboard
ioapic0 <Version 2.0> irqs 0-23 on motherboard
kbd1 at kbdmux0
ath_hal: 0.9.20.3 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
hptrr: HPT RocketRAID controller driver v1.1 (Apr 17 2008 10:47:26)
acpi0: <IBM SERBLADE> on motherboard
acpi0: [ITHREAD]
acpi0: Power Button (fixed)
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x588-0x58b on acpi0
cpu0: <ACPI CPU> on acpi0
p4tcc0: <CPU Frequency Thermal Control> on cpu0
cpu1: <ACPI CPU> on acpi0
p4tcc1: <CPU Frequency Thermal Control> on cpu1
cpu2: <ACPI CPU> on acpi0
p4tcc2: <CPU Frequency Thermal Control> on cpu2
cpu3: <ACPI CPU> on acpi0
p4tcc3: <CPU Frequency Thermal Control> on cpu3
pcib0: <ACPI Host-PCI bridge> on acpi0
pci0: <ACPI PCI bus> on pcib0
pci0: <unknown> at device 0.1 (no driver attached)
pcib1: <ACPI PCI-PCI bridge> at device 3.0 on pci0
pci4: <ACPI PCI bus> on pcib1
pcib2: <ACPI PCI-PCI bridge> at device 0.0 on pci4
pci6: <ACPI PCI bus> on pcib2
pcib3: <ACPI PCI-PCI bridge> at device 0.2 on pci4
pci5: <ACPI PCI bus> on pcib3
bge0: <Broadcom NetXtreme Gigabit Ethernet Controller, ASIC rev. 0x2100> mem 0xdcff0000-0xdcffffff irq 77 at device 1.0 on pci5
bge0: Ethernet address: 00:14:5e:bd:7a:60
bge0: [ITHREAD]
bge1: <Broadcom NetXtreme Gigabit Ethernet Controller, ASIC rev. 0x2100> mem 0xdcfe0000-0xdcfeffff irq 78 at device 1.1 on pci5
bge1: Ethernet address: 00:14:5e:bd:7a:61
bge1: [ITHREAD]
pci0: <base peripheral> at device 8.0 (no driver attached)
pcib4: <ACPI PCI-PCI bridge> at device 28.0 on pci0
pci2: <ACPI PCI bus> on pcib4
mpt0: <LSILogic 1030 Ultra4 Adapter> port 0x4000-0x40ff mem 0xdeff0000-0xdeffffff,0xdefe0000-0xdefeffff irq 24 at device 1.0 on pci2
mpt0: [ITHREAD]
mpt0: MPI Version=1.2.15.0
mpt0: Capabilities: ( RAID-1E RAID-1 SAFTE )
mpt0: 1 Active Volume (1 Max)
mpt0: 2 Hidden Drive Members (6 Max)
uhci0: <UHCI (generic) USB controller> port 0x2200-0x221f irq 16 at device 29.0 on pci0
uhci0: [GIANT-LOCKED]
uhci0: [ITHREAD]
usb0: <UHCI (generic) USB controller> on uhci0
usb0: USB revision 1.0
uhub0: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb0
uhub0: 2 ports with 2 removable, self powered
uhci1: <UHCI (generic) USB controller> port 0x2600-0x261f irq 19 at device 29.1 on pci0
uhci1: [GIANT-LOCKED]
uhci1: [ITHREAD]
usb1: <UHCI (generic) USB controller> on uhci1
usb1: USB revision 1.0
uhub1: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb1
uhub1: 2 ports with 2 removable, self powered
pci0: <base peripheral> at device 29.4 (no driver attached)
pcib5: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci1: <ACPI PCI bus> on pcib5
vgapci0: <VGA-compatible display> port 0x3000-0x30ff mem 0xf0000000-0xf7ffffff,0xf8000000-0xf800ffff irq 20 at device 1.0 on pci1
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel 6300ESB UDMA100 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376 at device 31.1 on pci0
ata0: <ATA channel 0> on atapci0
ata0: [ITHREAD]
ata1: <ATA channel 1> on atapci0
ata1: [ITHREAD]
pci0: <serial bus, SMBus> at device 31.3 (no driver attached)
sio0: <16550A-compatible COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
sio0: type 16550A
sio0: [FILTER]
pmtimer0 on isa0
orm0: <ISA Option ROM> at iomem 0xc0000-0xc8fff pnpid ORM0000 on isa0
atkbdc0: <Keyboard controller (i8042)> at port 0x60,0x64 on isa0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
atkbd0: [ITHREAD]
psm0: unable to set the command byte.
ppc0: parallel port not found.
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
sio1: configured irq 3 not in bitmap of probed irqs 0
sio1: port may not be enabled
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
uhub2: <Cypress Semiconductor 4 Port Hub, class 9/0, rev 1.10/0.01, addr 2> on uhub1
uhub2: 4 ports with 4 removable, bus powered
ukbd0: <IBM PPC I/F, class 0/0, rev 1.10/0.01, addr 3> on uhub2
kbd0 at ukbd0
uhid0: <IBM PPC I/F, class 0/0, rev 1.10/0.01, addr 3> on uhub2
ukbd1: <IBM HIDK/M, class 0/0, rev 1.10/0.01, addr 4> on uhub2
kbd2 at ukbd1
ums0: <IBM HIDK/M, class 0/0, rev 1.10/0.01, addr 4> on uhub2
ums0: 3 buttons and Z dir.
Timecounters tick every 1.000 msec
hptrr: no controller detected.
Waiting 5 seconds for SCSI devices to settle
mpt0:vol0(mpt0:0:0): Settings ( Hot-Plug-Spares )
mpt0:vol0(mpt0:0:0): Using Spare Pool: 0
mpt0:vol0(mpt0:0:0): 2 Members:
      (mpt0:1:0:0): Primary Online
      (mpt0:1:1:0): Secondary Online
mpt0:vol0(mpt0:0:0): RAID-1 - Optimal
mpt0:vol0(mpt0:0:0): Status ( Enabled )
(mpt0:vol0:0): Physical (mpt0:0:0:0), Pass-thru (mpt0:1:0:0)
(mpt0:vol0:0): Online
(mpt0:vol0:1): Physical (mpt0:0:1:0), Pass-thru (mpt0:1:1:0)
(mpt0:vol0:1): Online
da0 at mpt0 bus 0 target 0 lun 0
da0: <LSILOGIC 1030 IM       IM 1000> Fixed Direct Access SCSI-2 device
da0: 320.000MB/s transfers (160.000MHz, offset 63, 16bit)
da0: Command Queueing Enabled
da0: 69878MB (143110144 512 byte sectors: 255H 63S/T 8908C)
SMP: AP CPU #2 Launched!
SMP: AP CPU #1 Launched!
SMP: AP CPU #3 Launched!
Trying to mount root from ufs:/dev/da0s1a
WARNING: / was not properly dismounted
WARNING: R/W mount of / denied.  Filesystem is not clean - run fsck
WARNING: R/W mount of / denied.  Filesystem is not clean - run fsck
WARNING: /usr was not properly dismounted
WARNING: R/W mount of / denied.  Filesystem is not clean - run fsck
WARNING: R/W mount of / denied.  Filesystem is not clean - run fsck
WARNING: / was not properly dismounted
WARNING: /tmp was not properly dismounted
WARNING: /var was not properly dismounted
WARNING: /var/cvs was not properly dismounted
WARNING: /var/log was not properly dismounted
WARNING: /var/squid was not properly dismounted
/var/squid: lost blocks 868 files 89
WARNING: /var/vsftpd was not properly dismounted
WARNING: /var/www was not properly dismounted
[root@proxy ~]#

How-To-Repeat: Switch active console from one blade to another. 6.x-RELEASE was fine.
Comment 1 Helmut Schneider 2008-04-18 15:59:54 UTC
Fix:

/boot/loader.conf:
acpi_load="NO"

/boot/device.hints
hint.acpi.0.disabled="1"
hint.atkbd.0.disabled="1"

This had been fixed with 6.2 and reappeared with 7.0.
Comment 2 Helmut Schneider 2008-04-21 20:21:21 UTC
After further investigation it turns out the the problem is the keyboard 
controller. While this is not that serious as a problem with ACPI would be 
FreeBSD should not panic because of "plugging in a keyboard".

 hint.atkbd.0.disabled="1" is a sufficient workaround.
Comment 3 Volker Werth freebsd_committer 2008-05-12 10:40:02 UTC
State Changed
From-To: open->feedback


Helmut, can we please have a backtrace and the actual panic 
message?
Comment 4 Volker Werth freebsd_committer 2008-05-12 22:10:58 UTC
Responsible Changed
From-To: freebsd-bugs->vwe


track 
Helmut: Additionally to the requested panic msg + bt, can you please 
try if changing the line in /boot/device.hints from: 
hint.atkbdc.0.at="isa" 
to: 
hint.atkbdc.0.at="acpi" 
helps?
Comment 5 Helmut Schneider 2008-05-18 09:05:13 UTC
panic message and backtrace:
http://www.charlieroot.de/kern122887/kgdb.txt

What might be interesting, too, if hint.atkbd.0.disabled="1" or 
hint.atkbdc.0.at="acpi" are set a "dmesg -a" looks normal:
http://www.charlieroot.de/kern122887/dmesg_with_hint.atkbd.0.disabled.txt

Without the last thing that is logged is "Trying to mount root from 
ufs:/dev/da0s1a":
http://www.charlieroot.de/kern122887/dmesg_without_hint.atkbd.0.disabled.txt

With hint.atkbdc.0.at="acpi" the kernel does not panic.
Comment 6 Volker Werth freebsd_committer 2008-05-18 16:16:56 UTC
State Changed
From-To: feedback->analyzed


feedback provided 
it appears to be an atkbdc problem (backtrace + panic received) 
a workaround is to attach atkbdc to acpi instead of isa 
from /boot/device.hints 
this needs to be fixed in isa drivers but I think we need to discuss 
the device.hints defaults in an ACPI world 


Comment 7 Volker Werth freebsd_committer 2008-05-18 16:16:56 UTC
Responsible Changed
From-To: vwe->freebsd-i386


I think this is more appropriate to i386, 
but may also partially belong to arch or acpi 
Over to maintainer(s).
Comment 8 Remko Lodder freebsd_committer 2011-10-24 15:30:45 UTC
Responsible Changed
From-To: freebsd-i386->freebsd-acpi

This didn't get solved in the i386 category, since Volker also suggests that -acpi 
might be one that could fix this, assign it there and try to get someone to look 
at this :)
Comment 9 Ed Maste freebsd_committer 2017-07-28 16:34:45 UTC
The linked backtrace no longer exists.
Comment 10 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:45:37 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.